/*
    @author Hertz
    @version 1.0
*/

var $SuperpowerUtil = Java.loadClass('net.threetag.palladium.power.SuperpowerUtil')

StartupEvents.registry('mob_effect', event => {
    event.create('arrzenhanced:concussed')
        .displayName("Concussed")
        .color(0xFFFFFF)
        .harmful()
        .effectTick((entity, lvl) => global.concussedEffect(entity, lvl));
})

global.concussedEffect = (entity, lvl) => {
    if (entity.getLevel().clientSide) return;
    $SuperpowerUtil.addSuperpower(entity, "arrzenhanced:concussed")
}